:root {
  --fieldset-background: #cabdc9;
  --fieldset-legend: #000000;
  --fieldset-legend-text: #cabdc9;
  --fieldset-legend-icon: #cabdc9;
}

body.theme-sweet {
  --input-background: #ffffff;
  --input-color: #000;

  --fieldset-background: #e6d7e4;
  --fieldset-legend: #f7bff2;
  --fieldset-legend-text: #000;
  --fieldset-legend-icon: #242424;
}

body.theme-gothic {
  --input-background: #fff;
  --input-color: #000;

  --fieldset-background: #5d557c;
  --fieldset-legend: #322187;
  --fieldset-legend-text: #fff;
  --fieldset-legend-icon: #fff;
}

body.theme-classic {
  --input-background: #fff;
  --input-color: #000;

  --fieldset-background: #c4ae83;
  --fieldset-legend: #d32a09;
  --fieldset-legend-text: #fff;
  --fieldset-legend-icon: #fff;
}

.form-field {
  font-size: var(--primary-font-size);
  font-family: var(--primary-font);
  width: 100%;
  position: relative;

  &:not(:last-of-type) {
    margin-bottom: var(--spacing-medium);
  }

  label {
    display: block;
    padding: var(--spacing) 0;
    font-size: var(--secondary-font-size-very-small);
    line-height: var(--secondary-font-size);
  }

  input,
  textarea {
    width: inherit;
    padding: var(--spacing);
    margin: 0;
    border: none;
    box-sizing: border-box;
    border-radius: 8px;
    background: var(--input-background);
    color: var(--input-color);
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-small);
    transition: background 330ms linear, color 330ms linear;

    &.ng-invalid:not(.ng-untouched) {
      border: 1px solid red;
    }

    &.ng-untouched ~ .error {
      display: none;
    }

    &.price-input {
      width: 50%;

      & + span {
        display: block;
        margin-left: var(--spacing);
      }
    }
  }

  textarea {
    resize: none;
  }

  label > span:last-of-type {
    color: red;
  }

  .error {
    font-size: 1.3rem;
    margin-top: 0.4rem;
  }
}

[type='submit'] {
  margin-top: var(--spacing-big);

  &[disabled] {
    opacity: 0.5;
  }
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

form,
.fieldset-content {
  > p {
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-very-small);
    align-self: flex-start;
  }
}

.error {
  li {
    margin-left: var(--spacing-big);
    position: relative;

    &::before {
      content: '';
      width: 4px;
      height: 4px;
      border-radius: 50%;
      background: #000;
      position: absolute;
      top: 50%;
      left: -8px;
      transform: translate(-50%, -50%);
    }
  }
}

.search-top-text {
  font-size: var(--secondary-font-size-very-small);
  margin: var(--spacing);
  font-family: var(--secondary-font);

  ul {
    list-style: initial;

    li {
      margin-left: var(--spacing-big);
    }
  }

  .brand {
    color: var(--ng-select-criterium-brand);
  }
  .color {
    color: var(--ng-select-criterium-color);
  }
  .feature {
    color: var(--ng-select-criterium-feature);
  }
  .category {
    color: var(--ng-select-criterium-category);
  }
  .keyword {
    color: var(--ng-select-criterium-keywords);
  }
}

.fieldset[role='group'] {
  font-size: var(--primary-font-size);
  font-family: var(--primary-font);
  width: 100%;
  margin-top: var(--spacing-medium);
  border-radius: 8px;
  position: relative;
  overflow: hidden;

  &.open {
    overflow: visible;
  }

  > .legend-wrapper {
    position: relative;
    border-radius: inherit;

    button {
      position: absolute;
      top: 50%;
      right: var(--spacing);
      transform: translateY(-50%);
      user-select: none;
      -webkit-tap-highlight-color: transparent;
      border: none;
      border-radius: 50%;
      background: transparent;
      width: 32px;
      height: 32px;
      transition: all 330ms linear;
      padding: 0;
      opacity: 0.7;

      &:focus {
        outline: none;
        opacity: 1;
      }

      .arrow-toggle-icon {
        &::before,
        &::after {
          background: var(--fieldset-legend-icon);
        }
      }
    }

    > .legend {
      padding: var(--spacing);
      display: flex;
      align-items: center;
      background: var(--fieldset-legend);
      color: var(--fieldset-legend-text);
      border-radius: inherit;
      border-bottom-left-radius: 0;
      border-bottom-right-radius: 0;
      transition: all 330ms linear;
    }
  }

  .fieldset-content {
    padding: var(--spacing);
    box-sizing: border-box;
    position: relative;
    z-index: 1;
  }

  > .fieldset-container {
    box-sizing: border-box;
    position: relative;
    border-radius: inherit;
    overflow: hidden;

    &.open {
      overflow: visible;
    }

    &::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: var(--fieldset-background);
      border-radius: inherit;
      border-top-left-radius: 0;
      border-top-right-radius: 0;
      opacity: 0.3;
      transition: all 330ms linear;
    }
  }
}
